#!/bin/bash
source /etc/conf.d/vdr

SHUTDOWN_DELAY=20
WAKEUP_FILE=${VIDEO}/~wakeup
SVDRPCMD="/usr/bin/svdrpsend.pl"

ACTDATE=$(date +%s)
if [ -f $WAKEUP_FILE ] ; then
   FDATE=$(ls -l --time-style=+%s $WAKEUP_FILE | tr -s ' ' |cut -f6 -d ' ')
   DIFF=$(($ACTDATE - $FDATE))

   # runterfahren wenn zum Timer aufgewacht wurde
   if [ $DIFF -le 500 ] && [ $DIFF -ge -500 ]; then
      logger -s "automatic wakeup at $(date)"

      # Get epgdata via epgscan or tvm2vdr

      if [ "$VDRADMIN" = "1" ] ; then
         stp vdradmind
      fi
      if [ "$TVM2DVR" = "1" ] ; then
         cd /etc/vdr/tvmovie2vdr
         sh ./tvm2vdr.sh
      else
         $SVDRPCMD SCAN &
      fi

      if [ "$VDRADMIN" = "1" ] ; then
         stp vdradmind
      fi
      $SVDRPCMD MESG Shutdown in $SHUTDOWN_DELAY Minuten
      echo "$SVDRPCMD HITK Power" | at now + $SHUTDOWN_DELAY minutes >/dev/null 2>&1
   fi
   if [ -s /video/noad.sh ] ; then
      echo "rm -rf /video/noad.sh" >> /video/noad.sh
      nohup sh /video/noad.sh &
   fi
   rm $WAKEUP_FILE
fi

