#!/bin/sh
#set -x
source /etc/conf.d/vdr

if [ "$2" = "" ] || [ "$1" = "" ] || [ ! -d $1 -a "$1" != "-del" ] ; then 
   echo ""
   echo "Syntax: $0 <source> <target>"
   echo "   source: Verzeichnis mit VDR-Aufnahmen"
   echo "   target: Name des Zielverzeichnisses unter /video"
   echo ""
   echo "z.B. $0 /media _MEDIA_"
   echo "   sucht nacht allen Aufnahmen unter /media und verlinkt diese"
   echo "   nach $VIDEO/_MEDIA_"
   echo ""
   echo "Falls als source -del angegeben ist werden alle unter dem target"
   echo "verlinkten Aufnahmen geloescht."
   echo ""
   exit 1
fi   

SOURCE_PATH=$1
MEDIA_PATH=$VIDEO/$2
VID_FLS="/tmp/~vidfls"
DLIST="$MEDIA_PATH/$(echo "$1" | tr "/" "_").dlst"
RLIST="$MEDIA_PATH/$(echo "$1" | tr "/" "_").rlst"
if [ "$1" = "-del" ] ; then
   echo "Loesche Links unter $MEDIA_PATH"
   for i in $(find $MEDIA_PATH -name *.rec) ; do 
      rm "$i" 2>/dev/null
   done
   for i in $(find $MEDIA_PATH -type d) ; do 
      rmdir -p "$i" 2>/dev/null
   done
   exit
fi
if [ -f $RLIST ] ; then
   for i in $(cat $RLIST) ; do 
      rm "$i" 2>/dev/null
   done
   rm $RLIST
fi   
if [ -f $DLIST ] ; then
   for i in $(cat $DLIST) ; do 
      rmdir "$i" 2>/dev/null
   done
   rm $DLIST
fi

mkdir -p $MEDIA_PATH 2>/dev/null

find "$SOURCE_PATH" -name "[12]*.rec" -type d | sort > $VID_FLS
#set -x
SRC_ROOT="/"
SRC_RD=1
if [ $(cat $VID_FLS| wc -l) -gt 1 ] ; then
   HV=$(head -n 1 $VID_FLS)
   TV=$(tail -n 1 $VID_FLS)
   for i in $(seq 2 9) ; do 
      HVA=$(echo "$HV" | cut -f $i -d "/") 
      TVA=$(echo "$TV" | cut -f $i -d "/")
      [ "$HVA" != "$TVA" ] && break
      SRC_ROOT="${SRC_ROOT}${HVA}/"
   done
   SRC_RD=$i
fi   

for i in $(cat $VID_FLS | cut -f ${SRC_RD}- -d "/") ; do
#   echo "$i"
   if [ -f "${SRC_ROOT}${i}/001.vdr" ] ; then
      DN=$(dirname "${i}")
      BN=$(basename "${i}")
      if [ "$DN" = "." ] ; then
         DN="NoName"
      fi
      echo "$MEDIA_PATH/$DN" >> $DLIST
      mkdir -p $MEDIA_PATH/$DN 2> /dev/null
      
      
#      if [ "$(echo "$i" | grep "\/video\/")" = "" ] ; then
#         DN=$(dirname "${i}")
#         BN=$(basename "$DN")
#      else
#         BN=$(echo "$i" | sed -e "s|.*\/video\/||" | cut -f 1 -d "/")
#         DN=$(echo "$i" | sed -e "s|\/video\/.*|\/video\/|") 
#      fi
      if [ -f $MEDIA_PATH/$DN/$BN ] ; then
         echo "$MEDIA_PATH/$DN/$BN bereits vorhanden"
      else    
         echo "Verlinke $i nach $MEDIA_PATH/$DN"
#      mkdir "$MEDIA_PATH/$BN"
         ln -s "${SRC_ROOT}$i" "$MEDIA_PATH/$DN"
	 echo "$MEDIA_PATH/$DN/$i" >> $RLIST
      fi   
   fi
done
touch $VIDEO/.update
