#!/bin/sh
source /etc/conf.d/vdr
if [ "$WATCHDOG" != "0" ] ; then
   /etc/vdr/plugins/admin/setadmval.sh WATCHDOG 500
fi
[ "$(readlink /video/DISC)" != "" ] && rm /video/DISC
[ "$(readlink /video/MEDIA)" != "" ] && rm /video/MEDIA
rc-update del atd
rc-update add atd boot
[ "$(grep "ACTIVY_OVL_PARMS" /etc/conf.d/vdr)" = "" ] && echo "ACTIVY_OVL_PARMS=\"\"" >> /etc/conf.d/vdr
cd /usr/local/src/VDR
/etc/init.d/vdr stop
patch -f < ../vdr-patches/vdr-asyncshutdown.diff
make
if [ "$(grep ":ACTIVY_OVL_PARMS:" /etc/vdr/plugins/admin/admin.conf)" = "" ] ; then
   sed -i /etc/vdr/plugins/admin/admin.conf \
       -e "s|^:Plugins|/etc/vdr/plugins/admin/setvdrconf.pl:ACTIVY_OVL_PARMS: :A:32:abcdefghijklmnopqrstuvwxyz0123456789-_ABCDEFGHIJKLMNOPQRSTUVWXYZ:Overlay Parameter:\n:Plugins|"
   /etc/vdr/plugins/admin/setadmval.sh ACTIVY_OVL_PARMS ""
fi
if [ "$(grep ":SCREEN_RESOLUTION:" /etc/vdr/plugins/admin/admin.conf)" = "" ] ; then
   sed -i /etc/vdr/plugins/admin/admin.conf \
       -e "s|^:Plugins|/etc/vdr/plugins/admin/cfggui.sh:SCREEN_RESOLUTION:0:L:0:720x576,1024x768:Aufloesung:\n:Plugins|"
   /etc/vdr/plugins/admin/setadmval.sh SCREEN_RESOLUTION "720x576"
fi
cp /etc/X11/xorg.conf /etc/X11/xorg.conf.up10
/etc/vdr/plugins/admin/cfggui.sh
if [ "$(grep "MinUserInactivity = 0" /etc/vdr/setup.conf)" != "" ] ; then
   sed -i /etc/vdr/setup.conf "s/MinUserInactivity =.*/MinUserInactivity = 240/"
fi
if [ "$(grep "EPGScanTimeOut = 300" /etc/vdr/setup.conf)" != "" ] ; then
   sed -i /etc/vdr/setup.conf "s/EPGScanTimeOut =.*/EPGScanTimeout = 0/"
fi
if [ "$ACTIVY_OVERLAY" = "Aus" ] ; then
   /etc/vdr/plugins/admin/setadmval.sh ACTIVY_OVERLAY WEAVEMODE
fi    
sed -i /etc/vdr/commands.conf -e "s|/config/|/_config/|"
	     
/etc/init.d/vdr start
